function EstatisticasModuloViewModel(data) {
    var mSelf = this;

    mSelf.Data = new DadosEstatisticasViewModel();
        
    mSelf.ModuloId = data.ModuloId;

    mSelf.Template = data.Template;

    mSelf.IconeOn = data.IconeOn;

    mSelf.IconeOff = data.IconeOff;

    mSelf.Titulo = data.Titulo;

    mSelf.Init = function () {

    };
}

function DadosEstatisticasViewModel() {
    var mSelf = this;

    mSelf.PossuiHistorico = ko.observable(false);
    
    mSelf.VelocidadeMedia = ko.observable();

    mSelf.Distancia = ko.observable();

    mSelf.TempoParadoTotal = ko.observable();

    mSelf.TempoMovimentoTotal = ko.observable();

    mSelf.TempoTotal = ko.observable();

    mSelf.NumeroParadas = ko.observable();

    mSelf.TempoParadoConsiderado = ko.observable();

    mSelf.TempoMovimentoConsiderado = ko.observable();

    mSelf.VelocidadeMediaConsiderada = ko.observable();
}